Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.dom
Class AttrImpl

    java.lang.Object
      org.exist.dom.NodeImpl
          org.exist.dom.StoredNode
              org.exist.dom.NamedNode
                  org.exist.dom.AttrImpl

All Implemented Interfaces:
  org.w3c.dom.Attr, org.w3c.dom.Node, QNameable, Visitable

public class AttrImpl
extends NamedNode
implements org.w3c.dom.Attr

Field Summary
`static int` | `CDATA`
`static int` | `DEFAULT_ATTRIBUTE_TYPE`
`static int` | `ID`

Fields inherited from class org.exist.dom.StoredNode
`UNKNOWN_NODE_IMPL_ADDRESS`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`AttrImpl()`
`AttrImpl(AttrImpl other)`
`AttrImpl(QName name, java.lang.String value)`

Method Summary
`void` | `clear()` Reset this object to its initial state.
`short` | `compareDocumentPosition(org.w3c.dom.Node other)` ? @see org.w3c.dom.Node#compareDocumentPosition(org.w3c.dom.Node)
`static StoredNode` | `deserialize(byte[] data, int start, int len, DocumentImpl doc, boolean pooled)` Read a node from the specified byte array.
`java.lang.String` | `getBaseURI()` ? @see org.w3c.dom.Node#getBaseURI()
`int` | `getChildCount()`
`java.lang.Object` | `getFeature(java.lang.String feature, java.lang.String version)` ? @see org.w3c.dom.Node#getFeature(java.lang.String, java.lang.String)
`org.w3c.dom.Node` | `getFirstChild()`
`java.lang.String` | `getName()`
`java.lang.String` | `getNodeValue()`
`org.w3c.dom.Element` | `getOwnerElement()`
`org.w3c.dom.TypeInfo` | `getSchemaTypeInfo()` ? @see org.w3c.dom.Attr#getSchemaTypeInfo()
`boolean` | `getSpecified()`
`java.lang.String` | `getTextContent()` ? @see org.w3c.dom.Node#getTextContent()
`int` | `getType()`
`java.lang.Object` | `getUserData(java.lang.String key)` ? @see org.w3c.dom.Node#getUserData(java.lang.String)
`java.lang.String` | `getValue()`
`boolean` | `hasChildNodes()`
`boolean` | `isDefaultNamespace(java.lang.String namespaceURI)` ? @see org.w3c.dom.Node#isDefaultNamespace(java.lang.String)
`boolean` | `isEqualNode(org.w3c.dom.Node arg)` ? @see org.w3c.dom.Node#isEqualNode(org.w3c.dom.Node)
`boolean` | `isId()` ? @see org.w3c.dom.Attr#isId()
`boolean` | `isSameNode(org.w3c.dom.Node other)` ? @see org.w3c.dom.Node#isSameNode(org.w3c.dom.Node)
`java.lang.String` | `lookupNamespaceURI(java.lang.String prefix)` ? @see org.w3c.dom.Node#lookupNamespaceURI(java.lang.String)
`java.lang.String` | `lookupPrefix(java.lang.String namespaceURI)` ? @see org.w3c.dom.Node#lookupPrefix(java.lang.String)
`byte[]` | `serialize()`
`void` | `setTextContent(java.lang.String textContent)` ? @see org.w3c.dom.Node#setTextContent(java.lang.String)
`void` | `setType(int type)`
`java.lang.Object` | `setUserData(java.lang.String key, java.lang.Object data, org.w3c.dom.UserDataHandler handler)` ? @see org.w3c.dom.Node#setUserData(java.lang.String, java.lang.Object, org.w3c.dom.UserDataHandler)
`void` | `setValue(java.lang.String value)`
`java.lang.String` | `toString()`
`java.lang.String` | `toString(boolean top)`

Methods inherited from class org.exist.dom.NamedNode
`getQName, setNodeName`

Methods inherited from class org.exist.dom.StoredNode
`accept, accept, deserialize, equals, getBroker, getDocId, getInternalAddress, getNextSibling, getNodeId, getNodeType, getOwnerDocument, getParentNode, getPath, getPreviousSibling, release, setInternalAddress, setNodeId, setOwnerDocument`

Methods inherited from class org.exist.dom.NodeImpl
`appendChild, appendChildren, cloneNode, getAttributes, getAttributesCount, getChildNodes, getLastChild, getLocalName, getNamespaceURI, getNodeName, getPrefix, hasAttributes, insertAfter, insertAfter, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setAttributes, setNodeValue, setPrefix, supports, updateChild, updateChild`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Field Detail

### CDATA

    public static final int CDATA

See Also:
  Constant Field Values

### ID

    public static final int ID

See Also:
  Constant Field Values

### DEFAULT_ATTRIBUTE_TYPE

    public static final int DEFAULT_ATTRIBUTE_TYPE

See Also:
  Constant Field Values

Constructor Detail

### AttrImpl

    public AttrImpl()

### AttrImpl

    public AttrImpl(QName name,
                    java.lang.String value)

### AttrImpl

    public AttrImpl(AttrImpl other)

Method Detail

### clear

    public void clear()

  Description copied from class: `StoredNode`
  Reset this object to its initial state. Required by the parser to be able to reuse node objects.

  Overrides:
    `clear` in class `NamedNode`

### serialize

    public byte[] serialize()

  Overrides:
    `serialize` in class `StoredNode`

### deserialize

    public static StoredNode deserialize(byte[] data,
                                         int start,
                                         int len,
                                         DocumentImpl doc,
                                         boolean pooled)

  Description copied from class: `StoredNode`
  Read a node from the specified byte array. <<<<<<< .working This checks the node type and calls the `StoredNode.deserialize(byte[], int, int, DocumentImpl, boolean)` ======= This checks the node type and calls the deserialize(byte[], int, int,boolean) >>>>>>> .merge-right.r4159 method of the corresponding node class. The node will be allocated in the pool and should be released once it is no longer needed.

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.w3c.dom.Attr`

### getType

    public int getType()

### setType

    public void setType(int type)

### getValue

    public java.lang.String getValue()

  Specified by:
    `getValue` in interface `org.w3c.dom.Attr`

### getNodeValue

    public java.lang.String getNodeValue()

  Specified by:
    `getNodeValue` in interface `org.w3c.dom.Node`
  Overrides:
    `getNodeValue` in class `NodeImpl`
  See Also:
    `Node.getNodeValue()`

### setValue

    public void setValue(java.lang.String value)
                  throws org.w3c.dom.DOMException

  Specified by:
    `setValue` in interface `org.w3c.dom.Attr`
  Throws:
    `org.w3c.dom.DOMException`

### getOwnerElement

    public org.w3c.dom.Element getOwnerElement()

  Specified by:
    `getOwnerElement` in interface `org.w3c.dom.Attr`

### getSpecified

    public boolean getSpecified()

  Specified by:
    `getSpecified` in interface `org.w3c.dom.Attr`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `StoredNode`

### toString

    public java.lang.String toString(boolean top)

  Overrides:
    `toString` in class `StoredNode`

### hasChildNodes

    public boolean hasChildNodes()

  Specified by:
    `hasChildNodes` in interface `org.w3c.dom.Node`
  Overrides:
    `hasChildNodes` in class `NodeImpl`
  See Also:
    `Node.hasChildNodes()`

### getChildCount

    public int getChildCount()

  Overrides:
    `getChildCount` in class `NodeImpl`

### getFirstChild

    public org.w3c.dom.Node getFirstChild()

  Specified by:
    `getFirstChild` in interface `org.w3c.dom.Node`
  Overrides:
    `getFirstChild` in class `NodeImpl`
  See Also:
    `Node.getFirstChild()`

### getSchemaTypeInfo

    public org.w3c.dom.TypeInfo getSchemaTypeInfo()

  ? @see org.w3c.dom.Attr#getSchemaTypeInfo()

### isId

    public boolean isId()

  ? @see org.w3c.dom.Attr#isId()

### getBaseURI

    public java.lang.String getBaseURI()

  ? @see org.w3c.dom.Node#getBaseURI()

  Overrides:
    `getBaseURI` in class `NodeImpl`

### compareDocumentPosition

    public short compareDocumentPosition(org.w3c.dom.Node other)
                                  throws org.w3c.dom.DOMException

  ? @see org.w3c.dom.Node#compareDocumentPosition(org.w3c.dom.Node)

  Overrides:
    `compareDocumentPosition` in class `NodeImpl`
  Throws:
    `org.w3c.dom.DOMException`

### getTextContent

    public java.lang.String getTextContent()
                                    throws org.w3c.dom.DOMException

  ? @see org.w3c.dom.Node#getTextContent()

  Overrides:
    `getTextContent` in class `NodeImpl`
  Throws:
    `org.w3c.dom.DOMException`

### setTextContent

    public void setTextContent(java.lang.String textContent)
                        throws org.w3c.dom.DOMException

  ? @see org.w3c.dom.Node#setTextContent(java.lang.String)

  Overrides:
    `setTextContent` in class `NodeImpl`
  Throws:
    `org.w3c.dom.DOMException`

### isSameNode

    public boolean isSameNode(org.w3c.dom.Node other)

  ? @see org.w3c.dom.Node#isSameNode(org.w3c.dom.Node)

  Overrides:
    `isSameNode` in class `NodeImpl`

### lookupPrefix

    public java.lang.String lookupPrefix(java.lang.String namespaceURI)

  ? @see org.w3c.dom.Node#lookupPrefix(java.lang.String)

  Overrides:
    `lookupPrefix` in class `NodeImpl`

### isDefaultNamespace

    public boolean isDefaultNamespace(java.lang.String namespaceURI)

  ? @see org.w3c.dom.Node#isDefaultNamespace(java.lang.String)

  Overrides:
    `isDefaultNamespace` in class `NodeImpl`

### lookupNamespaceURI

    public java.lang.String lookupNamespaceURI(java.lang.String prefix)

  ? @see org.w3c.dom.Node#lookupNamespaceURI(java.lang.String)

  Overrides:
    `lookupNamespaceURI` in class `NodeImpl`

### isEqualNode

    public boolean isEqualNode(org.w3c.dom.Node arg)

  ? @see org.w3c.dom.Node#isEqualNode(org.w3c.dom.Node)

  Overrides:
    `isEqualNode` in class `NodeImpl`

### getFeature

    public java.lang.Object getFeature(java.lang.String feature,
                                       java.lang.String version)

  ? @see org.w3c.dom.Node#getFeature(java.lang.String, java.lang.String)

  Overrides:
    `getFeature` in class `NodeImpl`

### setUserData

    public java.lang.Object setUserData(java.lang.String key,
                                        java.lang.Object data,
                                        org.w3c.dom.UserDataHandler handler)

  ? @see org.w3c.dom.Node#setUserData(java.lang.String, java.lang.Object, org.w3c.dom.UserDataHandler)

  Overrides:
    `setUserData` in class `NodeImpl`

### getUserData

    public java.lang.Object getUserData(java.lang.String key)

  ? @see org.w3c.dom.Node#getUserData(java.lang.String)

  Overrides:
    `getUserData` in class `NodeImpl`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.